<div class="container col-sm-6">
  <div class="row justify-content-center filter-row" *ngIf="courses">
    <div class="col-sm-4">
      <app-dropdown-search
        *ngIf="uniList"
        [list]="uniList"
        [placeholder]="'University filter'"
        (filterBy)="filterByUni($event)"
      ></app-dropdown-search>
    </div>
    <div class="col-sm-2">
      <mat-form-field style="width: 100%">
        <mat-label>Sort By</mat-label>
        <mat-select (selectionChange)="sort($event.value)">
          <mat-option value="sortAZ"> Sort A to Z </mat-option>
          <mat-option value="sortZA"> Sort Z to A </mat-option>
        </mat-select>
      </mat-form-field>
    </div>
  </div>
  <div class="row col-sm-12 justify-content-center" style="padding: 0">
    {{ courses?.length == 1 ? courses?.length + ' Result' : courses?.length + ' Results' }}
  </div>
  <div class="row justify-content-center">
    <div class="col-12">
      <mat-card
        *ngFor="let course of courses"
        class="card-margins"
        [routerLink]="['/course/', course._id]"
      >
        <div class="row align-items-center">
          <div class="col-sm-6 mat-h2">{{ course.name }}</div>
          <div class="col-sm-6">
            <div class="row justify-content-end align-items-center">
              <div class="col-sm-2 uni-logo">
                <img
                  src="\assets\img\university-logos\{{ course.university.logoName }}"
                  [alt]=""
                  height="30px"
                  width="30px"
                />
              </div>
              <div class="col-sm-8">{{ course.university.name }}</div>
            </div>
          </div>
        </div>
        <hr />
        <div class="row button-row">
          <div class="col-3">
            <div class="row align-items-center">
              <i class="material-icons-round card-icons">people_outline</i>
              <div class="col">
                {{
                  (course.members?.length || 0) == 1
                    ? course.members?.length + ' Member'
                    : (course.members?.length || 0) + ' Members'
                }}
              </div>
            </div>
          </div>
          <div class="col-3">
            <div class="row align-items-center">
              <i class="material-icons-round card-icons">local_library</i>
              <div class="col">
                {{
                  (course.pals?.length || 0) == 1
                    ? course.pals?.length + ' Pal'
                    : (course.pals?.length || 0) + ' Pals'
                }}
              </div>
            </div>
          </div>
          <div class="col-3">
            <div class="row align-items-center">
              <i class="material-icons-round card-icons">support_agent</i>
              <div class="col">
                {{
                  (course.tutors?.length || 0) == 1
                    ? course.tutors?.length + ' Tutor'
                    : (course.tutors?.length || 0) + ' Tutors'
                }}
              </div>
            </div>
          </div>
          <div class="col-3">
            <div class="row align-items-center">
              <i class="material-icons-round card-icons">question_answer</i>
              <div class="col">
                {{
                  (course.discussions?.length || 0) == 1
                    ? course.discussions?.length + ' Question'
                    : (course.discussions?.length || 0) + ' Questions'
                }}
              </div>
            </div>
          </div>
        </div>
      </mat-card>
    </div>
  </div>
</div>
